# NUTSCAN_SCAN_EATON_SERIAL(3)

## NAME

nutscan_scan_eaton_serial - Scan serial ports for Eaton devices (XCP, SHUT and Q1).

## SYNOPSIS

            #include <nut-scan.h>

            nutscan_device_t * nutscan_scan_eaton_serial(const char* ports_list);

## DESCRIPTION

The nutscan_scan_eaton_serial() function tries to detect NUT devices which are compatible with Eaton’s serial device protocols (SHUT, XCP and Q1 (aka blazer or megatec)).

ports_list is a NULL-terminated array of pointers to strings containing serial device name (`/dev/ttyS0`, `COM1`, `/dev/ttya`…)

You MUST call nutscan_init(3) before using this function.

## RETURN VALUE

The nutscan_scan_eaton_serial() function returns a pointer to a `nutscan_device_t` structure containing all found devices or NULL if an error occurs or no device is found.

## SEE ALSO

nutscan_init(3), nutscan_scan_usb(3), nutscan_scan_xml_http_range(3), nutscan_scan_snmp(3), nutscan_scan_avahi(3), nutscan_scan_ipmi(3), nutscan_display_ups_conf(3), nutscan_display_sanity_check(3), nutscan_display_sanity_check_serial(3), nutscan_display_ups_conf_with_sanity_check(3), nutscan_display_parsable(3), nutscan_new_device(3), nutscan_free_device(3), nutscan_add_option_to_device(3), nutscan_add_device_to_device(3), nutscan_get_serial_ports_list(3)